Package: groovy.jmx.builder

## [Groovy] Class JmxAttributeInfoManager

- groovy.jmx.builder.JmxAttributeInfoManager

- This class is responsible for assembling JMX Attribute Info from the meta map. It cycles through the meta map from the Node and generate JMX Info objects used to expose information in the MBeanServer.

  Authors:
    Vladimir Vivien
  See Also:
    JmxMetaMapBuilder

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static ModelMBeanAttributeInfo` | `getAttributeInfoFromMap(Map map)` This method builds a single ModelMBeanAttribute info from a given meta data map object.
    `` | `static List<ModelMBeanAttributeInfo>` | `getAttributeInfosFromMap(Map metaMap)` Generates a list of ModelMBeanAttributeInfo from a list meta data Maps.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### static ModelMBeanAttributeInfo getAttributeInfoFromMap(Map map)

      This method builds a single ModelMBeanAttribute info from a given meta data map object.

      Parameters:
        `map` - the map object containing the meta data
      Returns:
        the generated ModelMBeanAttribute Info object.

    - #### static List<ModelMBeanAttributeInfo> getAttributeInfosFromMap(Map metaMap)

      Generates a list of ModelMBeanAttributeInfo from a list meta data Maps.

      Parameters:
        `metaMap` - list of meta data maps
      Returns:
        ModelMBeanAttributeInfo